function yint = nevilleInterpol(x,y,xint)
%NEVILLE Summary of this function goes here
% Neville's algorithm as a function
% 
% inputs:
%    n = order of interpolation (n+1 = # of points)
%    x(1),...,x(n+1)    x coords
%    y(1),...,y(n+1)    yint coords
%    xint=evaluation point for interpolating polynomial p
%
% output:  yint
  n = length(x)-1;
  for i = n:-1:1
    for j = 1:i
        y(j) = (xint-x(j))*y(j+1) - (xint-x(j+n+1-i))*y(j);
        y(j) = y(j)/(x(j+n+1-i)-x(j));
    end
  end
  yint = y(1);
end

